Skip to main content
POST
/
2025-10
/
marketing-solutions
/
ad-sets
/
search
/2025-10/marketing-solutions/ad-sets/search
curl --request POST \
  --url https://api.criteo.com/2025-10/marketing-solutions/ad-sets/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "filters": {
    "adSetIds": [
      "<string>"
    ],
    "advertiserIds": [
      "<string>"
    ],
    "campaignIds": [
      "<string>"
    ]
  }
}
'
import requests

url = "https://api.criteo.com/2025-10/marketing-solutions/ad-sets/search"

payload = { "filters": {
"adSetIds": ["<string>"],
"advertiserIds": ["<string>"],
"campaignIds": ["<string>"]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: {adSetIds: ['<string>'], advertiserIds: ['<string>'], campaignIds: ['<string>']}
})
};

fetch('https://api.criteo.com/2025-10/marketing-solutions/ad-sets/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "attributes": {
        "advertiserId": "<string>",
        "attributionConfiguration": {},
        "bidding": {
          "bidAmount": 123
        },
        "budget": {
          "budgetAmount": 123
        },
        "campaignId": "<string>",
        "datasetId": "<string>",
        "name": "<string>",
        "schedule": {
          "endDate": {
            "value": "2023-11-07T05:31:56Z"
          },
          "startDate": {
            "value": "2023-11-07T05:31:56Z"
          }
        },
        "targeting": {
          "deliveryLimitations": {
            "devices": [],
            "environments": [],
            "operatingSystems": []
          },
          "frequencyCapping": {
            "value": {
              "maximumImpressions": 123
            }
          },
          "geoLocation": {
            "countries": {
              "value": {
                "values": [
                  "<string>"
                ]
              }
            },
            "subdivisions": {
              "value": {
                "values": [
                  "<string>"
                ]
              }
            },
            "zipCodes": {
              "value": {
                "values": [
                  "<string>"
                ]
              }
            }
          }
        }
      },
      "id": "<string>",
      "type": "ReadAdSetV24Q3"
    }
  ],
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

request payload of the search endpoint

filters
object

filter on ad set ids

Response

200 - application/json

data for the ad sets

List of output resources

data
(object | null)[] | null
read-only

read model data for resources

errors
object[] | null
read-only
warnings
object[] | null
read-only